Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.graph
Class LinkUtilities

    java.lang.Object
      edu.stanford.smi.protegex.widget.graph.LinkUtilities

    public class LinkUtilities

extends Object

This class contains the logic for whether or not the user can draw a line between two nodes. If it's possible to connect two nodes, it also determines what all the valid connectors are (since there could be more than one). Also deals with the appearance of the links as specified by the user in the diagram widget configuration dialog.

Author:
  Jennifer Vendetti

Constructor Summary
`LinkUtilities(KnowledgeBase kb, PropertyList pList, com.nwoods.jgo.JGoPort from, com.nwoods.jgo.JGoPort to)`

Method Summary
`ComplexLink` | `createComplexLink(Instance newInstance)`
`Slot` | `getConnectorSlot()`
`ArrayList` | `getValidRelations()`
`boolean` | `hasValidConnectorSlot()`
`boolean` | `hasValidRelations()`
`SimpleLink` | `makeSimpleLink()`
`ComplexLink` | `restoreComplexLink(Instance instance)`
`SimpleLink` | `restoreSimpleLink()`
`void` | `setComplexLinkValues(Instance instance)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinkUtilities

    public LinkUtilities(KnowledgeBase kb,
                         PropertyList pList,
                         com.nwoods.jgo.JGoPort from,
                         com.nwoods.jgo.JGoPort to)

Method Detail

### getConnectorSlot

    public Slot getConnectorSlot()

### getValidRelations

    public ArrayList getValidRelations()

### hasValidConnectorSlot

    public boolean hasValidConnectorSlot()

### hasValidRelations

    public boolean hasValidRelations()

### makeSimpleLink

    public SimpleLink makeSimpleLink()

### restoreSimpleLink

    public SimpleLink restoreSimpleLink()

### createComplexLink

    public ComplexLink createComplexLink(Instance newInstance)

### setComplexLinkValues

    public void setComplexLinkValues(Instance instance)

### restoreComplexLink

    public ComplexLink restoreComplexLink(Instance instance)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request